package OJS.Midi;

import javax.sound.midi.*;
public class MidiState {

	MidiSnapShot currentState;
	
	public MidiState(){
		currentState = new MidiSnapShot();
	}
	public boolean add(ShortMessage m){
		for(int i = 0; i < currentState.size; i++){
			if(m.getData1() == currentState.messages[i].getData1()) //SAME NOTE
				if(m.getCommand() ==  ShortMessage.NOTE_ON && currentState.messages[i].getCommand() == ShortMessage.NOTE_ON ){
					return false; // DO NOT ADD NOTE TO MIDI SNAPSHOT
				}
				else if(m.getCommand() == ShortMessage.NOTE_OFF && currentState.messages[i].getCommand() == ShortMessage.NOTE_OFF){
					return true; // ADD the note, since 
				}
		}
		return false;
	}
}
