 * @author yanyin
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
 import java.io.*;
 
public class ServerSetupTest{ 	
 	/** The server setup class is so easy to be confused by the configuration file. As the configuration is so important, it's of our interest that we must make sure it catches all the bugs **/
	/** So I am going to fake some forged configuration files and see if it could catch them **/
 	public void testInit(){
		try{
			/** this is a valid version**/
			String test1 = "Driver: jdbc:mysql\n"+
									"Server: abstract\n"+
									"Database: yanyin_JamSpace\n"+
									"Table: OnlineList\n"+
									"User: yanyin\n"+
									"Password: 12345678";
			
			BufferedWriter w = new BufferedWrite(new File(".server.conf"));
			ServerSetup setup = new ServerSetup();
			System.out.println("test1 succeeded");
		}
		catch(Exception e){System.out.println("test1 failed");}
		try{
			/** colon(s) is/are missing **/
			String test2 = "Driver: jdbc:mysql\n"+
									"Server: abstract\n"+
									"Database yanyin_JamSpace\n"+
									"Table: OnlineList\n"+
									"User yanyin\n"+
									"Password: 12345678";
			BufferedWriter w = new BufferedWrite(new File(".server.conf"));
			ServerSetup setup = new ServerSetup();
			System.out.println("test2 failed");
		}
		catch(Exception e){System.out.println("test2 succeeded");}
		try{
			/** missing row(s) **/
			String test3 = "Driver: jdbc:mysql\n"+
									"Server: abstract\n"+
									"Database: yanyin_JamSpace\n"+
									"Password: 12345678";
			BufferedWriter w = new BufferedWrite(new File(".server.conf"));
			ServerSetup setup = new ServerSetup();
			System.out.println("test3 failed");
		}
		catch(Exception e){System.out.println("test3 succeeded");}
		try{
			/** too many lines **/
			String test4 = "Driver: jdbc:mysql\n"+
									"Server: abstract\n"+
									"Database: yanyin_JamSpace\n"+
									"Table: OnlineList\n"+
									"Database: yanyin_JamSpace\n"+
									"Table: OnlineList\n"+
									"User: yanyin\n"+
									"Password: 12345678";
			BufferedWriter w = new BufferedWrite(new File(".server.conf"));
			ServerSetup setup = new ServerSetup();
			System.out.println("test4 failed");
		}
		catch(Exception e){System.out.println("test4 succeeded");}
		File f = new File(".server.conf");
		f.delete();
	}
	
	public static void main(String argv[]){	
		new ServerSetupTest();		
	}
}
